---
title: Account
slug: account
description: Learn about the Account object and how it collects account data in this comprehensive document. Discover code examples for creating or updating accounts using the powerful Successeve API. Explore the reserved fields for the account object, such as MRR val
createdAt: 2023-09-28T15:08:12.482Z
---

Account object is the main entity to collect account data. An account is a collection of contacts and a contact can belong to several accounts.

:::ApiMethodV2
```json
{
  "name": "Create or update an account",
  "method": "POST",
  "url": "https://api.successeve.com/v1/account",
  "description": " ",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "tYUR1EbNyUjvnnEI9uxBe",
        "language": "curl",
        "code": "\ncurl -X POST -H \"Content-Type: application/json\"   \\\n-d '{\n  \"account_uid\":\"78910\", \n  \"params\" : {\"name\":\"Tesla Motors\", \"employee_count\":12000,\"mrr\":999}}' \\\n'https://api.successeve.com/v1/account?api_token=<YOUR_API_TOKEN>'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "tYUR1EbNyUjvnnEI9uxBe"
  },
  "results": {
    "languages": [
      {
        "id": "5lZzaU2aDNXAMBCGEqjAv",
        "language": "200",
        "customLabel": "",
        "code": "{status: \"success\"}"
      }
    ],
    "selectedLanguageId": "5lZzaU2aDNXAMBCGEqjAv"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "account_uid",
        "kind": "required",
        "type": "string",
        "description": "Unique identifier referring to an account, it must match a unique ID in your application like database ID."
      },
      {
        "name": "params.name",
        "kind": "optional",
        "type": "string",
        "description": "Account name.",
        "children": []
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  }
}
```
:::

### Reserved fields

| **name**       | **Format** | **Description**                                                     |
| -------------- | ---------- | ------------------------------------------------------------------- |
| mrr            | number     | MRR Value                                                           |
| domain         | string     | Domain is used for enriching account info                           |
| churn\_date    | date       | Date when the account has churned (Timestamp)                       |
| churn\_mrr     | number     | MRR Value when the account has churned                              |
| churn\_reason  | string     | unique\_id defining the reason why account has churned (Snake Case) |
| churn\_comment | string     | Comment to explain why account has churned                          |

